Page MenuHomePhabricator

When MT is disabled by default in ContentTranslation, cx-tools-mt-not-available is shown instead of cx-tools-mt-dont-use
Closed, ResolvedPublic

Description

When translating from Hindi to Urdu, MT is disabled by default (no-mt). The message in the MT card in the sidebar is "cx-tools-mt-not-available". The correct message to show there is "cx-tools-mt-dont-use".

Event Timeline

Amire80 created this task.Oct 29 2015, 12:27 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to High.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 12:27 PM
Amire80 set Security to None.

Just guessing: maybe cxserver configuration should have "disable-mt" instead of "no-mt" for such languages?

Amire80 lowered the priority of this task from High to Normal.Oct 29 2015, 2:19 PM
Amire80 added subscribers: santhosh, KartikMistry.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 29 2015, 3:19 PM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:09 PM

This should be resolved before enabling adding MT support to more languages without making it default.

The current UI:

Can you mention the exact English string you want to change instead of message keys?

The current UI:

Can you mention the exact English string you want to change instead of message keys?

It doesn't appear in this screenshot. It appears to be fixed for this language pair. Maybe now it's just a matter of correct configuration. If it's indeed so, then this bug can be closed.

No, there is indeed an issue. I configured a language pair as non default. See the UI

I set Apertium as non-default MT for en-es. What I would expect is 3 items in menu, instead of 4

  • Use source text
  • From Apertium
  • Start from scratch (wording can be different)

And if Apertium is default, In different order:

  • From Apertium
  • Use source text
  • Start from scratch (wording can be different)

@Pginer-WMF comment please.

@Pginer-WMF comment please.

Some thoughts about the labelling and options:

  • We should have 3 options instead of 4 in the above examples.
  • "Not available for X" does not make sense as an option to chose.
  • "Not available for X" only makes sense as a label in the card when there is no other MT available (as default or non-default).
  • The proposed title of the card was "Automatic translation" to cover beyond MT including strategies such as "copy source".
  • We don't need to reorder the options. Keeping the fallback options (use source and use an empty paragraph) at the end makes sense.
  • For MT services we may want to label them as "Use X" instead of "From X" especially since we made the changes to take effect immediately.

Given the above considerations, here is a proposed approach for each case (using Apertium and Spanish as examples):

MT not available

  • Card title: "Automatic translation"
  • Initial value: "Not available for español"
  • Options:
    • "Use source text"
    • "Don't use automatic translation"

In this case, the initial value is a default empty state that behaves like "use source text" but helps to highlight that there are no MT options beyond the fallbacks.

MT available only as non-default

  • Card title: "Automatic translation"
  • Initial value: "Use source text"
  • Options:
    • "Use Apertium"
    • "Use source text" (✓)
    • "Don't use automatic translation"

MT available as default

  • Card title: "Automatic translation"
  • Initial value: "Use Apertium"
  • Options:
    • "Use Apertium" (✓)
    • "Use source text"
    • "Don't use automatic translation"

MT not available

MT available only as non-default

MT available as default

Change 274668 had a related patch set uploaded (by Santhosh):
MT Card: Correct the menu when MT is disabled by default

https://gerrit.wikimedia.org/r/274668

santhosh claimed this task.Mar 3 2016, 10:26 AM
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 3 board.

Thanks @santhosh!
This looks good.

The only piece missing is to adjust the label for MT options: "Use Apertium" instead of "From Apertium".
It is a small detail to (a) keep the language consistent with other options, and (b) helps to convey that once you selected it it will be applied immediately (which is a behaviour we changed recently).
If this is not trivial, we can create a separate (probably low-priority) ticket.

The only piece missing is to adjust the label for MT options: "Use Apertium" instead of "From Apertium".

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint break board.Mar 4 2016, 9:11 AM

Change 274668 merged by jenkins-bot:
MT Card: Correct the menu when MT is disabled by default

https://gerrit.wikimedia.org/r/274668

Amire80 added a comment.EditedMar 4 2016, 7:40 PM

I like the general solution, but I'm still confused about the change of "Machine translation" to "Automatic translation". Pau's explanation is:

The proposed title of the card was "Automatic translation" to cover beyond MT including strategies such as "copy source".

This wording doesn't convey this meaning. "Copy source" is not translation, so it cannot be included under "Automatic translation". We stay with the same problem that we had with "Machine translation".

I would consider changing the title entirely, to something like "Filling the paragraph", but better suggestions are welcome. (Should I open another task?)

This wording doesn't convey this meaning. "Copy source" is not translation, so it cannot be included under "Automatic translation". We stay with the same problem that we had with "Machine translation".

I don't think it is currently "a problem". What I proposed was to make it a little bit more generic. There is content that is crafted by the user and there is content that gets added to the translation automatically. When content is added, users may wonder why and how to control it (i.e., checking alternatives). "Automatic translation" seems to describe the process of content being added in the user behalf, in the translation, automatically.

Making it too generic makes the connection less obvious. For example, "Filing the paragraph" makes it unclear which is the purpose of such filling.

santhosh moved this task from QA to Done on the LE-CX8-Sprint break board.Mar 14 2016, 6:35 AM
santhosh closed this task as Resolved.Apr 20 2016, 9:09 AM